:root {
    --color-primary: #305d81;
    --color-secondary: #058dbe;
    --bg-body: linear-gradient(135deg, #daecf2 0%, #f4f7f6 100%);
    --bg-gradient-primary: linear-gradient(135deg, #cbd8e9aa 0%, #b7bfc2aa 100%);
}

body {
    font-family: "Poppins", sans-serif !important;
    font-optical-sizing: auto;
    background: var(--bg-body);
    margin: 0 !important;
    padding: 0 !important;
}

.nav {
    display: block;
    position: sticky;
    top: 0;
    padding: .5rem;
    background-color: #f5f8f6;
    box-shadow: 0 5px 12px rgba(128, 128, 128, 0.2);
}

.nav>.container {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.login-wrapper {
    height: calc(100vh - 69px);
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-header h3 {
    color: var(--color-secondary);
    font-weight: 600;
    margin-bottom: 1.5rem;
}

.login-header p {
    color: #6c757d;
    font-size: 0.9rem;
    margin-bottom: 2rem;
}

.login-form {
    display: flex;
    flex-direction: column;
}

.form-input
{
    width: 100%;
    margin-bottom: 1.2rem;
}

.form-label {
    display: inline-block;
    font-weight: 600;
    color: #495057;
    font-size: 0.85rem;
    margin-bottom: .4rem;
}

.form-control {
    width: 100%;
    padding: 0.75rem .8rem;
    border-radius: 10px;
    border: 1px solid #fff;;
    transition: all 0.3s ease;
    outline: none;
    background-color: #daecf2d8;
    font-size: 0.9rem;
}

.form-control::placeholder {
    color: #a4aab0;
    font-weight: 400;
}

.form-control:focus {
    border-color: var(--color-primary);
    box-shadow: none;
    border: 1px solid #8cb0d4;
    background-color: #f4f7f6 !important;
}

.login-card {
    background: white;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    max-width: 780px;
    width: 100%;
    display: flex;
    flex-direction: row-reverse;
    /* flex-wrap: nowrap; */
}

/* Lado Izquierdo: Estética de Almacén */
.login-sidebar {
    background: linear-gradient(rgba(26, 42, 58, 0.8), rgba(26, 42, 58, 0.9)),
        var(--img-bg-card);
    background-size: cover;
    background-position: center;
    color: white;
    padding: 3rem;
    flex-shrink: auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/* Lado Derecho: Formulario */
.login-form-section {
    padding: 2.5rem;
    /* margin: auto; */
    flex-shrink: auto;
    width: 100%;
}

.btn-primary {
    background-color: var(--color-primary);
    color: white;
    border: none;
    width: 100%;
    padding: 0.8rem;
    font-weight: 600;
    border-radius: 10px;
    transition: transform 0.2s ease, background-color 0.2s ease;
}

.btn-primary:hover {
    background-color: var(--color-secondary);
    transform: translateY(-1px);
}

.btn-primary:active {
    transform: translateY(0);
    background-color: var(--color-primary) !important;
}

.register-link {
    color: var(--color-primary);
    font-weight: 600;
    text-decoration: none;
    padding: 6px 9px;
    background-color: #0a5e9a15;
    border-radius: 10px;
    margin-top: 130px;
}

.register-link:hover {
    text-decoration: underline;
}

/* Simulación de feedback de validación */
.invalid-feedback {
    font-size: 0.8rem;
}